Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.alignmentgroup.internal.swt
Class EmbeddedGroupSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VGroup>
              org.eclipse.emf.ecp.view.alignmentgroup.internal.swt.EmbeddedGroupSWTRenderer

    public class EmbeddedGroupSWTRenderer

extends AbstractSWTRenderer<VGroup>

A Group renderer, which doesn't enforce its own layout.

Author:
  Eugen Neufeld

Constructor Summary
`EmbeddedGroupSWTRenderer(VGroup vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsRendererFactory rendererFactory)` Default Constructor.

Method Summary
`SWTGridDescription` | `getGridDescription(SWTGridDescription gridDescription)` Returns the GridDescription for this Renderer.

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedGroupSWTRenderer

    @Inject
    public EmbeddedGroupSWTRenderer(VGroup vElement,
                                           ViewModelContext viewContext,
                                           ReportService reportService,
                                           EMFFormsRendererFactory rendererFactory)

  Default Constructor.

  Parameters:
    `vElement` - the view element to be rendered
    `viewContext` - The view model context
    `reportService` - the ReportService to use
    `rendererFactory` - the EMFFormsRendererFactory to use

Method Detail

### getGridDescription

    public SWTGridDescription getGridDescription(SWTGridDescription gridDescription)

  Description copied from class: `AbstractSWTRenderer`
  Returns the GridDescription for this Renderer.

  Specified by:
    `getGridDescription` in class `AbstractSWTRenderer<VGroup>`
  Parameters:
    `gridDescription` - the current `SWTGridDescription`
  Returns:
    the number of controls per row

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.